# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global parent plexus
%global subname xmlrpc

Name:           plexus-xmlrpc
Version:        1.0
Release:        0.6.b4.3%{?dist}
Epoch:          0
Summary:        Plexus XML RPC Component
License:        ASL 1.1 and MIT
Group:          Development/Libraries
URL:            http://plexus.codehaus.org/
# svn export svn://svn.plexus.codehaus.org/plexus/tags/plexus-xmlrpc-1.0-beta-4/
# tar czf plexus-xmlrpc-1.0-beta-4-src.tar.gz plexus-xmlrpc-1.0-beta-4/
Source0:        plexus-xmlrpc-1.0-beta-4-src.tar.gz

Patch0:         %{name}-add-codec-dep.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-nodeps
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools
BuildRequires:  classworlds >= 0:1.1
BuildRequires:  apache-commons-codec
BuildRequires:  plexus-container-default
BuildRequires:  plexus-utils
BuildRequires:  xmlrpc

Requires:  apache-commons-codec
Requires:  classworlds >= 0:1.1
Requires:  plexus-container-default
Requires:  plexus-utils
Requires:  xmlrpc

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -n plexus-xmlrpc-1.0-beta-4

%patch0 -b .sav

%build
mvn-rpmbuild -e install javadoc:aggregate

%install
# jars
install -d -m 755 %{buildroot}/%{_javadir}/plexus
install -pm 644 target/plexus-xmlrpc-%{version}-beta-4.jar \
  %{buildroot}/%{_javadir}/plexus/xmlrpc.jar

#poms
install -Dpm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP.%{name}.pom
%add_maven_depmap JPP.%{name}.pom %{parent}/%{subname}.jar

# javadoc
install -d -m 755 %{buildroot}/%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}/%{_javadocdir}/%{name}

%pre javadoc
# workaround for rpm bug, can be removed in F-18
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :


%files
%doc LICENSE.txt
%{_javadir}/%{parent}
%{_mavenpomdir}/JPP.%{name}.pom
%{_mavendepmapfragdir}/%{name}


%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Thu Jul 28 2011 Jaromir Capik <jcapik@redhat.com> - 0:1.0-0.6.b4.3
- Migration to maven3
- Removal of plexus-maven-plugin (not needed)
- Minor spec file changes according to the latest guidelines

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.5.b4.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.b4.3
- Drop tomcat5 BRs.
- Adapt to current guidelines.

* Fri May 21 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.b4.2.17
- BR apache-commons-codec.

* Fri Feb 12 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.b4.2.16
- Add maven-surefire-provider-junit BR.

* Fri Feb 12 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-0.4.b4.2.15
- Fix BRs. (rhbz#539080)
- Drop gcj_support.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.4.b4.2.14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Deepak Bhole <dbhole@redhat.com> 1.0-0.3.b4.2.14
- Build with maven
- Add tomcat deps

* Mon Mar 23 2009 Deepak Bhole <dbhole@redhat.com> 1.0-0.3.b4.2.13
- Build without maven

* Mon Mar 23 2009 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.3.b4.2.12
- Add plexus-maven-plugin BR
- Build on ppc64

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.0-0.3.b4.2.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 24 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.2.b4.2.11
- Update xmlrpc-add-codec-dep.patch to remove fuzz... for real this time

* Wed Sep 24 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.2.b4.2.10
- Update patch0 to remove fuzz.

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-0.2.b4.2.9
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0-0.2.b4.2jpp.8
- fix license tag

* Thu Feb 28 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.2.b4.2jpp.7
- Rebuild.

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.b4.3jpp.6
- ExcludeArch ppc64

* Tue Mar 20 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.1.b4.3jpp.5
- Fixed BRs

* Tue Mar 20 2007 Deepak Bhole <dbhole@redhat.com> 0:1.0-0.1.b4.3jpp.4
- Build with maven

* Tue Mar 13 2007 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.b4.3jpp.3
- rebuild

* Tue Mar 13 2007 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.b4.3jpp.2
- Fixing typo in a Requires.

* Mon Feb 19 2007 Tania Bento <tbento@redhat.com> 0:1.0-0.1.b4.3jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Marked LICENSE.txt as %%doc.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun for javadoc.
- Added gcj support option.

* Tue Oct 17 2006 Deepak Bhole <dbhole@redhat.com> 1.0-0.b4.3jpp
- Update for maven2 9jpp.

* Wed Jun 21 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.b4.2jpp
- Removed maven1 build support, and added maven2 support.
- First JPP 1.7 build

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b4.1jpp
- First JPackage build
